<?php 

function wpgms_shortcode_function( $atts ){ 
	ob_start();	?>

	<div class="wpgms-container">
			<form id="wpgms-search-form" role="search" method="get" class="wpgms-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<input type="search" id="search-field" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'twentyseventeen' ); ?>" value="<?php echo get_search_query(); ?>" name="s" required />
				<button type="submit" class="search-submit"><?php echo _x( 'Search', 'submit button', 'twentyseventeen' ); ?></button>
			</form>
			<div class="wpgms-result"></div>
	</div>
	<?php return ob_get_clean();

}
add_shortcode( 'wpgms', 'wpgms_shortcode_function' );