jQuery( function( $ ){
    jQuery( document ).ready(function() {

        $('#wpgms-search-form').on('submit',function(e){
            e.preventDefault();


            var formData = $( this ).find('#search-field').val();

            asr_ajax_get_postdata(formData);

            console.log(formData)
        })

        //ajax filter function
        function asr_ajax_get_postdata(queryText){
            $.ajax({
                type: 'post',
                url: wpgms_ajax_params.wpgms_ajax_url,
                data: {
                    action: 'wpgms_ajax_posts',
                    wpgms_ajax_nonce: wpgms_ajax_params.wpgms_ajax_nonce,
                    queryText: queryText,
                },
                beforeSend: function(data){
                    $('.asr-loader').show();
                },
                complete: function(data){
                    $('.asr-loader').hide();
                },              
                success: function(data){
                    $('.wpgms-result').fadeOut(300, function() {
                        $(this).html(data).fadeIn(300);
                    });
                },
                error: function(data){
                    console.log(data);
                },

            });
        }


    });
});